Overview | Modules | Class Hierarchy | Classes | Members

# tlp::SortNodeIterator Struct Reference

`#include <SortIterator.h>`

Inherits tlp::StableIterator< node >.

Inheritance diagram for tlp::SortNodeIterator:

[legend]
Collaboration diagram for tlp::SortNodeIterator:

[legend]
List of all members.

## Detailed Description

Interface of Sortiterator,.

## Public Member Functions

- SortNodeIterator (Iterator< node > *itIn, DoubleProperty *metric)
- ~SortNodeIterator ()

## Constructor & Destructor Documentation

tlp::SortNodeIterator::SortNodeIterator | ( | Iterator< node > * | itIn,
|  | DoubleProperty * | metric
| ) | `[inline]`

tlp::SortNodeIterator::~SortNodeIterator | ( |  | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010